## ros-one-face-detector 1.4.2-7jammy.20251023.1012

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(face_detector)

find_package(catkin REQUIRED COMPONENTS
        actionlib
        actionlib_msgs
        cv_bridge
        geometry_msgs
        image_geometry
        image_transport
        message_filters
        message_generation
        people_msgs
        rosbag
        roscpp
        roslib
        rospy
        sensor_msgs
        std_msgs
        std_srvs
        stereo_msgs
        tf
)

find_package(Boost REQUIRED COMPONENTS system thread)
find_package(OpenCV)
find_package(yaml-cpp REQUIRED)

add_action_files(
  DIRECTORY action
  FILES FaceDetector.action
)
generate_messages(DEPENDENCIES actionlib_msgs people_msgs)

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS
        actionlib
        actionlib_msgs
        cv_bridge
        geometry_msgs
        image_geometry
        image_transport
        message_filters
        message_runtime
        people_msgs
        roscpp
        roslib
        rospy
        sensor_msgs
        std_msgs
        stereo_msgs
        tf
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(face_detector
                       src/face_detection.cpp
                       src/faces.cpp)
add_dependencies(face_detector ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(face_detector
  yaml-cpp
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBRARIES})

install(TARGETS face_detector
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

catkin_install_python(PROGRAMS scripts/face_detector_action_client.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslint REQUIRED)
  find_package(roslaunch REQUIRED)

  catkin_download_test_data(${PROJECT_NAME}_noface_test_diamondback.bag
    http://download.ros.org/data/face_detector/face_detector_noface_test_diamondback.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 37f043be780a4511c853379defdd9855)
  catkin_download_test_data(${PROJECT_NAME}_withface_test_diamondback.bag
    http://download.ros.org/data/face_detector/face_detector_withface_test_diamondback.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 59126117e049e69d577b7ee27251a6f8)

#  add_rostest(test/wide-stereo_true_rtest.xml)
#  add_rostest(test/wide-stereo_false_rtest.xml)
  add_rostest(test/rgbd_true_rtest.xml)
  add_rostest(test/rgbd_false_rtest.xml)
#  add_rostest(test/narrow-stereo_true_rtest.xml)
#  add_rostest(test/narrow-stereo_false_rtest.xml)
#  add_rostest(test/action-wide_true_rtest.xml)
#  add_rostest(test/action-wide_false_rtest.xml)
#  add_rostest(test/action-rgbd_true_rtest.xml)
#  add_rostest(test/action-rgbd_false_rtest.xml)

  roslint_cpp()
  roslaunch_add_file_check(launch)
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-one-face-detector (1.4.2-7jammy.20251023.1012) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 23 Oct 2025 10:12:02 +0000

ros-one-face-detector (1.4.2-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 23 Oct 2025 10:12:02 -0000

ros-one-face-detector (1.2.0-0jammy) jammy; urgency=high

  * Whitespace cleanu (#73 <https://github.com/wg-perception/people/issues/73>)
  * Remove and move unused includes (#70 <https://github.com/wg-perception/people/issues/70>)
  * Contributors: David V. Lu!!, Shane Loretz

 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-one-face-detector (1.0.9-0jammy) jammy; urgency=high

  * Install missing param directory: face_detector.rgbd.launch fails due to the param folder.
  * Contributors: Isaac I.Y. Saito

 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-face-detector (1.0.8-0jammy) jammy; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * centrally reference cascade from standalone opencv (addresses #15 <https://github.com/wg-perception/people/issues/15>)
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-face-detector (1.0.3-0jammy) jammy; urgency=high

  * fix message generation
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-one-face-detector (1.0.2-0jammy) jammy; urgency=high

  * update to properly generate messages
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-one-face-detector (1.0.1-0jammy) jammy; urgency=high

  * update some remappings to deal with the changed openni message api
  * convert 16FC1 depth images to 32FC1 and scale to get meters
  * switch constants to defines to get rid of linker issues for catkin switch
  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-face-detector//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-face-detector 1.4.2-7jammy.20251207.2249

=== debian/changelog ===
ros-one-face-detector (1.4.2-7jammy.20251207.2249) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sun, 07 Dec 2025 22:49:01 +0000

## ros-one-face-detector 1.4.2-7jammy.20260221.2142

=== debian/changelog ===
ros-one-face-detector (1.4.2-7jammy.20260221.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 21 Feb 2026 21:42:10 +0000

## ros-one-face-detector 1.4.2-7noble.20251023.1028

=== debian/changelog ===
ros-one-face-detector (1.4.2-7noble.20251023.1028) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 23 Oct 2025 10:28:58 +0000

ros-one-face-detector (1.4.2-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 23 Oct 2025 10:28:58 -0000

ros-one-face-detector (1.2.0-0noble) noble; urgency=high

  * Whitespace cleanu (#73 <https://github.com/wg-perception/people/issues/73>)
  * Remove and move unused includes (#70 <https://github.com/wg-perception/people/issues/70>)
  * Contributors: David V. Lu!!, Shane Loretz

 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-one-face-detector (1.0.9-0noble) noble; urgency=high

  * Install missing param directory: face_detector.rgbd.launch fails due to the param folder.
  * Contributors: Isaac I.Y. Saito

 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-face-detector (1.0.8-0noble) noble; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * centrally reference cascade from standalone opencv (addresses #15 <https://github.com/wg-perception/people/issues/15>)
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-one-face-detector (1.0.3-0noble) noble; urgency=high

  * fix message generation
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-one-face-detector (1.0.2-0noble) noble; urgency=high

  * update to properly generate messages
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-one-face-detector (1.0.1-0noble) noble; urgency=high

  * update some remappings to deal with the changed openni message api
  * convert 16FC1 depth images to 32FC1 and scale to get meters
  * switch constants to defines to get rid of linker issues for catkin switch
  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-face-detector
Section: misc
Priority: optional
Maintainer: Dan Lazewatsky <dan@lazewatsky.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-message-filters, ros-one-message-generation, ros-one-people-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-stereo-image-proc, ros-one-stereo-msgs, ros-one-tf
Homepage: http://ros.org/wiki/face_detector
Standards-Version: 3.9.2

Package: ros-one-face-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-message-filters, ros-one-message-runtime, ros-one-people-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-stereo-image-proc, ros-one-stereo-msgs, ros-one-tf
Description: Face detection in images.

## ros-one-face-detector 1.4.2-7noble.20251208.0943

=== debian/changelog ===
ros-one-face-detector (1.4.2-7noble.20251208.0943) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 08 Dec 2025 09:43:00 +0000

## ros-one-face-detector 1.4.2-7noble.20260221.2231

=== debian/changelog ===
ros-one-face-detector (1.4.2-7noble.20260221.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 21 Feb 2026 22:31:57 +0000
